<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Carbon;

class ContactTypeSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Data untuk contacttypes
        $vendorTypeName = 'Vendor';
        $existingVendorType = DB::table('contacttypes')->where('name', $vendorTypeName)->first();

        if (!$existingVendorType) {
            $vendorTypeId = DB::table('contacttypes')->insertGetId([
                'name' => $vendorTypeName,
                'category' => 'vendor',
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
            ]);
        } else {
            $vendorTypeId = $existingVendorType->id;
        }

        // Data untuk contacts
        $vendorName = 'Vendor 1';
        $existingVendor = DB::table('contacts')->where('name', $vendorName)->first();

        if (!$existingVendor) {
            DB::table('contacts')->insert([
                'name' => $vendorName,
                'address' => 'Pekalongan',
                'contact' => '822222222',
                'type' => $vendorTypeId, // Menggunakan ID dari contacttypes
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
            ]);
        }
    }
}